Πρόβλημα μετά την εγκατάσταση διανομής linux

όχι δεν υπάρχει πρόβλημα με αυτό. Το sda4 είναι απλώς extended partition και το sda5 είναι logical. Αυτό είναι πολύ συνηθισμένο σε msdos που έχει τον περιορισμό για μόνο τέσσερις κύριες κατατμήσεις και το λίνουξ δεν έχει κανένα πρόβλημα με αυτό.

3 Likes

επειδη εγινε με τρεις διανομες οπως λεει ο φιλος γιαυτο υποψιαζομαι αυτην την κατατμηση. και θυμαμαι οτι μια τετοια πειρπτωση εχω δει ξανα. επειδη ειμαστε μαζι με παραθυρα θα προτiμουσα για το linux ενα καθαρο ext4 partition.

Χρησιμοποιώ linux από το 2012, linux mint mate 12 ήταν η αρχή και τώρα είμαι με την έκδοση 19.2 και μένω με αυτό, μέχρι την έκδοση 18, αν δεν κάνω λάθος, ο αυτόματος τρόπος κατατμήσεων σε dual boot ήταν ένα διαμέρισμα ενιαίο και μοναδικό για όλο το linux σύστημα, από εκεί και μετά άλλαξε ο τρόπος και δημιουργούνται δύο χώροι (εκτός το swap) γι’ αυτό βλέπεις αυτήν την αναλογία (δεν είμαι σίγουρος για την ορθότητα του όρου), root και user.

Το πρόβλημα με τα initramfs το έχω αντιμετωπίσει πολλές φορές, πάντα με αυτόν τον τρόπο διορθώνω το σύστημα.
Τα initramfs είναι τα πρώτα αρχεία που ξεκινούν και πάνω τους όλο το σύστημα, καμιά φορά κάτι πάει λάθος και συμβαίνει αυτό.
https://en.wikipedia.org/wiki/Initial_ramdisk
https://wiki.debian.org/initramfs

αν δεν βαριεσαι μπες με ενα live σβησε την sda4 και σε αυτον τον χωρο φτιαξε μια καινουργια με ext4. μετα κανε την εγκατασταση κανονικα σε αυτην την κατατμηση. διαλεξε κατα την εγκατασταση “κατι αλλο” και κανε εκει την εγκατασταση με σημειο επαφης “/” .εχεις αρχεια που τα χρειαζεσαι εκει; αν ναι μετεφερα τα πρωτα γιατι θα σβηστουν.

Υπάρχει λόγος που φτιάχνει με αυτόν τον τρόπο τις κατατμήσεις το σύστημα, και αυτός λέγεται timeshift. Γι’ αυτό δεν νομίζω ότι είναι καλή ιδέα για έναν νεοεισερχόμενο να μπλέκει.

Ευχαριστώ πολύ όλους για το ενδιαφέρον. Το πρόβλημα λύθηκε με την εντολή (μετά το help) που πρότεινε ο stefra. Κάποιες φορές το ζητάει, μάλλον όταν γίνεται κάποια βιαστική κίνηση, κάποιες φορές δεν γνωρίζω γιατί, τέλος πάντων δεν είναι κουραστικό. Εξ άλλου το έχω ρυθμίσει όπως με βολεύει και δεν ξανακάνω format. Επίσης έχω δοκιμάσει και με ένα καθαρό partition και με /home και με swaps και πάντα το ίδιο πρόβλημα.
Σας ευχαριστώ όλους για το ενδιαφέρον και για τη βοήθεια. Μια ερώτηση. Το backspace και το delete σβήνουν έναν έναν χαρακτήρα. Αν το κρατήσω πατημένο δεν σβήνει παραπάνω. Διορθώνεται;

Κοίτα αν έχεις περισσότερους από έναν πυρήνες και δοκίμασε να δουλέψεις για λίγο με τον πιο παλιό, αν όντος εκεί δεν έχεις πρόβλημα χρειάζεται να μείνεις με αυτόν, γιατί νομίζω, από δικιά μου εμπειρία, δεν συμβαίνει με όλους τους πυρήνες, και ίσως κάποιος στο μέλλον να σου κάνει την δουλειά.

Όταν λες πυρήνες τι εννοείς, γιατί μέχρι τώρα γνωρίζω τους επεξεργαστές ως διπύρηνους τετραπύρηνους κ.λ.π. δεν γνωρίζω στο linux τι είναι. Πως μπορώ να κατεβάσω παλιότερους ή νεότερους, γιατί κάπου διάβασα ότι γίνεται να λειτουργήσουν τα δύο πλήκτρα που προανέφερα με άλλους πυρήνες (φαντάζομαι ότι και συ το ίδιο εννοείς) με τις εντολές
sudo rmmod peaq_wmi
sudo gedit /etc/modprobe.d/blacklist.conf

#add at the end:
#spams ^@
blacklist peaq_wmi
Ισχύουν αυτές οι εντολές;
Ευχαριστώ

Δοκιμασε τον 4.15.0-88 που εχει μακροχρονια υποστηριξη.

Πηγαινε Προτιμησεις » Πληκτρολογιο » Παραγομενα Εξοδου » Διαφορες Επιλογες Συμβατοτητας

ΠΑΝΤΑ θα εχεις 2 πυρηνες στον υπολογιστη.
Αν δεν ξεκιναει απ τον ενα πατας στην εκκινηση esc και μπαινεις απ τον δευτερο πυρηνα.

Έχω μόνο έναν. Γιατί όχι περισσότερους; Αυτόν που μου λέτε τον είδα και είναι στις φωτογραφίες από την ανάρτηση που έσβησα. Στέλνω νέα φωτογραφία. Θέλω να μου πεις πρώτα απεγκαθιστώ τον παλιό και μετά εγκαθιστώ τον νέο που μου προτείνεις ή ανάποδα;
ΕυχαριστώΣτιγμιότυπο από 2020-02-25 14-33-28

Ευχαριστώ πολύ, βλέπω μαύρη ζώνη στο linux, ενδεχομένως και κάποια νταν.

Αν έχεις μόνο έναν πυρήνα εγκατεστημένο, τότε πρώτο εγκαθιστάς τον καινούριο και μετά απεγκαθιστάς τον παλιό. :slight_smile:

Δεν χρειάζεται καθόλου να απεγκαθιστάς πυρήνες παρά μόνο ίσως αν έχει λήξη η υποστήριξή τους.

Δες εδώ τις εκδόσεις: https://en.wikipedia.org/wiki/Linux_kernel_version_history

Οι υποστηριζόμενες είναι οι κίτρινες. Η τρέχουσα είναι η πράσινη.
τρέχουσα = 5.5
προηγούμενες LTS = 5.4, 4.19, 4.14, 4.9

…και αν έχει ξεχωριστό μικρό /boot…

…και αν θέλει να γλυτώνει χρόνο στα upgrades (dkms κτλ)…

Για την ακρίβεια, δεν υπάρχει κανείς λόγος να έχει κανείς περισσότερο από καναδυοτρείς πυρήνες στο κουντιούτιρ του… :wink:

1 Like

Τελικά δεν άντεξα. Έκανα επανεγκατάσταση του mint 19.3 χθες, αφού έσβησα το sda5, έτσι υπάρχει πλέον μόνο το sda4 χωρίς άλλο επεκτάσιμο και μέχρι σήμερα πάνε άριστα τα πάντα. Λύθηκαν και τα προβλήματα των πλήκτρων, δεν μου ζήτησε ξανά κανένα help και καμία άλλη εντολή, εγκατέστησα και τον παλιό πυρήνα 4.15.0-74, καλού κακού προχώρησα και σε ένα timeshift αφού τελείωσα τα πάντα και μέχρι στιγμής πάνε όλα τέλεια. Αν κάποιος από σας παίζει κάποιο μουσικό όργανο άταστο (που παίζει ασυγκέραστη μουσική δηλαδή όπως ούτι, βιολί κ.λ.π.), έχω ένα blog με περίπου 100 παρτιτούρες τραγουδιών κυρίως της Μ. Ασίας, είναι εντελώς δωρεάν, συγχρόνως έχει και αρχεία από το πρόγραμμα musescore -επίσης δωρεάν πρόγραμμα πολύ καλό για δημιουργία παρτιτούρας και όχι μόνο- ώστε να τα κατεβάσετε και να τα επεξεργαστείτε. Γράψτε στο google π.χ. “δωρεάν παρτιτούρες για ούτι” και θα σας οδηγήσει
στο blog (Τσουμάνας Γάκης).
Ευχαριστώ για άλλη μια φορά για το ενδιαφέρον σας.

2 Likes

αρα ηθελε σκετο ext4.σκετη ext4 κατατμηση. μου ειχε τυχει πιο παλια σε υπολογιστη και θυμομουν οτι ετσι δουλεψε. και το πιο λογικο ειναι η κατατμηση να ειναι “σκετη” και ανεξαρτητη

Γεια σας πάλι. Αποφάσισα -ψάχνοντας το θέμα- να έχω εγκατάσταση μόνο το mint. Έτσι έσβησα τα windows και κάνοντας χωριστό partition το /home για κάθε ενδεχόμενο των αρχείων μου εγκατέστησα μόνο το mint. Θέλω να εγκαταστήσω το master-pdf-editor και παρά τις πολλές απόπειρες με καθοδήγηση από διάφορα video στο ιντερνετ, προφανώς κάτι δεν κάνω σωστά.
Το κάτέβασα και στα download μου, κάνω διπλό κλικ για εγκατάσταση αλλά δεν κάνει και μου γράφει να δώσω κάποιες εντολές,αλλά δεν καταλαβαίνω. Ζητώ τη βοήθειά σας.
Αργότερα θα χρειαστώ και το skechup 2017 που δούλευα στα windows και έχω πολλά αρχεία αποθηκευμένα.
Ευχαριτώ.

τι εντολες σου ζηταει; (για να καταλαβουμε και εμεις)
αντεγραψε τες και βαλτες εδω, αλλά μεσα σε code tags, δηλαδη θα χρησιμοποιησεις το συμβολο </> που βλεπεις οταν γραφεις το σχολιο
πιθανολογω οτι σου ζηταει εξαρτησεις αλλά δεν ξερουμε σιγουρα αν δεν δουμε.
Επισης καλα κανεις και θελεις να ξερεις πρωτα τι κανουν αυτες οι εντολες που σου λενε να γραψεις (θα μαθεις με τον καιρο αλλά πρεπει να προσεχεις να μαθαινεις κιολας)
επισης γιατι θελεις το master pdf; πχ αν θελεις να επεξεργαστεις pdf που δεν ειναι φωτογραφιες μπορει να σου κανει μια χαρα και το libre draw που λογικα υπαρχει ηδη εγκατεστημενο στο mint

Πηγαινε στην επισημη σελιδα και στην ενοτητα Download κατεβασε το πακετο .deb
master-pdf-editor-5.4.38-qt5.amd64.deb
αν σου πεταει καποιο μηνυμα λαθους τοτε δωσε στο τερματικο την εντολη

sudo apt-get install libqt5printsupport5

η εγκατασταση σε συστημα 64bit απαιτει σαν εξαρτηση ενα πακετο της βιβλιοθηκης Qt 5

Δεν θυμάμαι αν έχω εγκαταστήσει το 64bit ή το 32bit. Που το βλέπω γιατί μπορεί αυτό να είναι το πρόβλημα.

Πάντως μου βγάζει την παρακάτω εικόνα που έχει με κόκκινο τις εντολές που ζητάει.
Στιγμιότυπο από 2020-02-29 16-09-47

Τελικά το εγκατέστησα. Το πρόβλημα ήταν αυτό που υποψιάστηκα. Κατέβασα το 32bit και εγκαταστάθηκε.
Ευχαριστώ πολύ.
Κάποια βοήθεια για το sketchup 2017;

Αν έχεις 32bit έκδοση χωρίς να το επιβάλει ο υπολογιστής σου είναι τραγικό λάθος.

Είναι πολύ λάθος και η σελίδα τού mint που δεν έχει κρυμμένες τις 32bit εκδόσεις.

1 Like